## org.eclipse.datatools.modelbase.sql.query
Class SearchConditionCombinedOperator

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.SearchConditionCombinedOperator

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class SearchConditionCombinedOperator

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'SQL Search Condition Combined Operator', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getSearchConditionCombinedOperator()`, Serialized Form

Field Summary
`static int` `AND` The 'AND' literal value.
`static SearchConditionCombinedOperator` `AND_LITERAL` The 'AND' literal object.
`static int` `OR` The 'OR' literal value.
`static SearchConditionCombinedOperator` `OR_LITERAL` The 'OR' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Search Condition Combined Operator' enumerators.

Method Summary
`static SearchConditionCombinedOperator` `get(int value)` Returns the 'Search Condition Combined Operator' literal with the specified integer value.
`static SearchConditionCombinedOperator` `get(java.lang.String literal)` Returns the 'Search Condition Combined Operator' literal with the specified literal value.
`static SearchConditionCombinedOperator` `getByName(java.lang.String name)` Returns the 'Search Condition Combined Operator' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AND

    public static final int AND

  The 'AND' literal value.

  See Also:
    `AND_LITERAL`, Constant Field Values

### OR

    public static final int OR

  The 'OR' literal value.

  See Also:
    `OR_LITERAL`, Constant Field Values

### AND_LITERAL

    public static final SearchConditionCombinedOperator AND_LITERAL

  The 'AND' literal object.

  If the meaning of 'AND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AND`

### OR_LITERAL

    public static final SearchConditionCombinedOperator OR_LITERAL

  The 'OR' literal object.

  If the meaning of 'OR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OR`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Search Condition Combined Operator' enumerators.

Method Detail

### get

    public static SearchConditionCombinedOperator get(java.lang.String literal)

  Returns the 'Search Condition Combined Operator' literal with the specified literal value.

### getByName

    public static SearchConditionCombinedOperator getByName(java.lang.String name)

  Returns the 'Search Condition Combined Operator' literal with the specified name.

### get

    public static SearchConditionCombinedOperator get(int value)

  Returns the 'Search Condition Combined Operator' literal with the specified integer value.